Ask Your Question
1

"error C3646: 'CV_OVERRIDE': unknown override specifier" when building with opencv_contrib

asked 2018-08-23 13:35:08 -0500

mvdb3 gravatar image

updated 2018-08-27 07:26:02 -0500

Hi I'm trying to use the face.hpp in the opencv_contrib library. My build fails because of the error stated "\opencv_contrib2\install\include\opencv2\face.hpp(336): error C3646: 'CV_OVERRIDE': unknown override specifier", a whole bunch of them with changing number in brackets. I'm not sure what this error means or how I can fix it. If you could shed some light on the meaning of this error or possible solutions I would very much appreciate that.

edit retag flag offensive close merge delete

Comments

your screenshot is useless here. be so kind and replace it with a text version.

berak gravatar imageberak ( 2018-08-24 07:58:36 -0500 )edit

1 answer

Sort by ยป oldest newest most voted
1

answered 2018-08-24 07:57:52 -0500

berak gravatar image

this is a synchronization problem, both opencv and opencv_contrib need exactly the same version.

please update both repos to latest 3.4 branch, rerun cmake && make install.

edit flag offensive delete link more

Comments

1

Thank you, that was exactly the problem.

mvdb3 gravatar imagemvdb3 ( 2018-08-27 07:25:02 -0500 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2018-08-23 13:35:08 -0500

Seen: 728 times

Last updated: Aug 27 '18